import httpRequestApi from '../../../utils/APIClient';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    sexs: [
      { value: '女',checked: true },
      { value: '男', checked: false }
      ], 
    occupations: [
      { value: '家长', checked: false },
      { value: '老师', checked: false },
      { value: '学生', checked: true }
    ],
    date: '2001年12月12日',
    msg: '',
    nickname: ''
  },
  saveNickName: function(e){
    let nickname = e.detail.value;
    this.setData({
      nicename: nickname
    }, () => {
      console.log(nickname);
    });
  },
  saveAddress: function(e){
    let msg = e.detail.value;
    this.setData({
      msg: msg
    },() => {
      console.log(msg);
    });
  },
  bindDateChange: function(e) {
    console.log(e.detail.value)
    this.setData({
        date: e.detail.value
    });
  },
  optionAction:function(e){
    console.log(e.detail.value);
  },
  optionSetting: function (e) {
    console.log(e.detail.value);
  },
  formSubmit: function(e){
    let { nickname, picker, radioGroup1, radioGroup2, address } = e.detail.value;
    let uid = 1, wechatName = nickname, mobile = '13994969642', gender = 3, schoolProvince = 11, schoolCity = '运城市', schoolName = '康杰中学', profession = radioGroup2, birthday = picker;
    httpRequestApi.settingUserInfo(uid, wechatName, mobile, gender, schoolProvince, schoolCity, schoolName, profession, birthday).success(res => {
      console.log(res.data.data.wechatName);//修改资料成功后 调用 getUserInfo
        wx.redirectTo({
            url: '/pages/index/index?index=3'
        });
      // wx.navigateBack({
      //
      //  });
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (option) {
    console.log(option.title);
    if (option.title) {
      wx.setNavigationBarTitle({
        title: option.title//页面标题为路由参数
      });
      this.setData({
        title: option.title
      });
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
     
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    
  }
})